
Redmine - Patch #4263

Users getting notifications for issues they cannot view

2009-11-22 18:51 - Bradly Feeley

Status: Closed Start date: 2009-11-22

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 0.9.0   

Description

Fixes a bug that would notify user on issues they can no longer view.

Example: Jane creates an issue in Project A. That issue is copied to Project B that Jane is not a member of. Jane will still get e-mails

but the links to the issue won't work for her.

I have a fork on github with the fix and test. http://github.com/bradly/redmine/commit/2b5f422b324b7b034fcc74135827a032807f2358

I've also attached an svn patch file.

This is my first Redmine patch. Let me know if you need any thing else from me.

Thanks,

Bradly Feeley

Related issues:

Related to Redmine - Defect #3589: User removed from project - still getting ... Closed 2009-07-06

Associated revisions

Revision 3121 - 2009-12-03 22:28 - Jean-Philippe Lang

Do not notify users that are no longer allowed to view an issue (#3589, #4263).

History

#1 - 2009-12-03 22:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

Fixed in r3121.

Files

only_email_users_who_can_view_issue.diff 1.41 KB 2009-11-22 Bradly Feeley
